#include "version.sh"


#if defined(COLOR_GRADIENT)
    in lowp vec4 color;
#else
    uniform lowp vec4 color;
#endif

in mediump vec2 umf_df;
out lowp vec4 fragColor;

void main()
{
    fragColor = color;
    fragColor.a *= clamp(umf_df.x - abs(umf_df.y), 0.0, 1.0);
}
